OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
NewGRFScanCallback Struct Reference

Callback for NewGRF scanning. More...

`#include <newgrf_config.h>`

Inheritance diagram for NewGRFScanCallback:

## Public Member Functions
virtual | ~NewGRFScanCallback ()
| Make sure the right destructor gets called.
virtual void | OnNewGRFsScanned ()=0
| Called whenever the NewGRF scan completed.

## Detailed Description

Callback for NewGRF scanning.

Definition at line 208 of file newgrf_config.h.

## Constructor & Destructor Documentation

virtual NewGRFScanCallback::~NewGRFScanCallback | ( |  | ) |
| inline virtual

Make sure the right destructor gets called.

Definition at line 210 of file newgrf_config.h.

## Member Function Documentation

virtual void NewGRFScanCallback::OnNewGRFsScanned | ( |  | ) |
| pure virtual

Called whenever the NewGRF scan completed.

Implemented in NewGRFWindow, and AfterNewGRFScan.

The documentation for this struct was generated from the following file:

- src/newgrf_config.h